set PATH=%PATH%;c:\tools;c:\sdcc\bin

REM compile crt0 - basic COM setup with stack setup to top of TPA
sdasz80 -plosgff null_crt0.s
REM compile gsx program (gsx program comes first) with the library
sdcc --debug -c --verbose -V --nostdlib --opt-code-speed --nostdinc --no-std-crt0 -mz80 gsxtest.c gsx.c
REM link
sdldz80 -f custom.lk
REM convert to .com file
hex2bin gsxtest.ihx
move gsxtest.bin gsxtest.com
REM cpm1.dsk contains a bootable CPM disk which has minimal gsx setup. Copy to disc.
REM use gengraf.com for the first time to configure gsxtest.com 
cpcxfsw cpm1.dsk -p gsxtest.com


