;!FILE null_crt0
    .module null_crt0
	.globl	_main

	.area	_HOME
	.area   _CODE 
	.area   _GSINIT
	.area   _GSFINAL
	.area	_DATA 
	.area	_DATAFINAL
	.area   _BSS     	
	.area   _HEAP 

	;; order here must match the order in scrlspr.asm
	.area _CODE

init::
         ;; Clear global variables
           ld      hl, #_datastart
           ld      bc, #_dataend
   _clear_loop:
           ld      a, h
           sub     b
           jr      nz, _clear_next
           ld      a, l
           sub     c
           jr      z, _clear_exit
   _clear_next:
           ld      (hl), #0
           inc     hl
           jr      _clear_loop
   _clear_exit:    
	call    gsinit
	ld hl,(#0006)
	ld sp,hl
	jp _main
	
		.area   _GSINIT
gsinit::
	ld	bc, #l__INITIALIZER
	ld	a, b
	or	a, c
	jr	Z, gsinit_next
	ld	de, #s__INITIALIZED
	ld	hl, #s__INITIALIZER
	ldir
gsinit_next:

	.area   _GSFINAL
	ret



.area   _GSFINAL
    	ret
	.area _DATA
_datastart::
	.area _DATAFINAL
_dataend::
