/*****************************/
/*         HiSoft C          */
/*    GSX Function Library   */
/*          HEADER           */
/*                           */
/* Copyright (C) 1986 HiSoft */
/* Last changed  1 May  1986 */
/* Written by David Nutkins  */
/*****************************/
/*****************************/
/*         HiSoft C          */
/*    GSX Function Library   */
/*       version 1.0         */
/* Copyright (C) 1986 HiSoft */
/* Last changed  26 Apr 1986 */
/* written by David Nutkins  */
/*****************************/

typedef int uint16_t;

void v_opnwk( const uint16_t *work_in, uint16_t *handle, uint16_t *work_out);
void v_clswk(uint16_t handle);
void v_clrwk(uint16_t handle);
void v_updwk(uint16_t handle);
void v_pline(uint16_t handle,uint16_t count,const uint16_t *pxyarray);
void v_pmarker(uint16_t handle,uint16_t count,const uint16_t *pxyarray);
void v_gtext(uint16_t handle,uint16_t x,uint16_t y,const char *string);
void v_fillarea(uint16_t handle,uint16_t count,const uint16_t *pxyarray);
void v_bar(uint16_t handle,const uint16_t *pxyarray);
void vst_height(uint16_t handle,uint16_t height, uint16_t *char_width,uint16_t *char_height,uint16_t *cell_width,uint16_t *cell_height);
uint16_t vst_rotation(uint16_t handle,uint16_t angle);
void vs_color(uint16_t handle,uint16_t index,const uint16_t *rgb_in);
uint16_t vsl_type(uint16_t handle,uint16_t style);
uint16_t vsl_color(uint16_t handle,uint16_t color_index);
uint16_t vsm_type(uint16_t handle,uint16_t symbol);
uint16_t vsm_height(uint16_t handle,uint16_t height);
uint16_t vsm_color(uint16_t handle,uint16_t color_index);
uint16_t vst_color(uint16_t handle,uint16_t color_index);
uint16_t vsf_uint16_terior(uint16_t handle,uint16_t style);
uint16_t vsf_style(uint16_t handle,uint16_t style_index);
uint16_t vsf_color(uint16_t handle,uint16_t color_index);
void vrq_locator(uint16_t handle,uint16_t x,uint16_t y,uint16_t *xout,uint16_t *yout,uint16_t *term);
uint16_t vsm_locator(uint16_t handle,uint16_t x,uint16_t y,uint16_t *xout,uint16_t *yout,uint16_t *term);
void vsin_mode(uint16_t handle,uint16_t dev_type,uint16_t mode);
void vq_chcells(uint16_t handle,uint16_t *rows,uint16_t *columns);
void v_exit_cur(uint16_t handle);
void v_enter_cur(uint16_t handle);
void v_curup(uint16_t handle);
void v_curdown(uint16_t handle);
void v_curright(uint16_t handle);
void v_curleft(uint16_t handle);
void v_curhome(uint16_t handle);
void v_eeos(uint16_t handle);
void v_eeol(uint16_t handle);
void vs_curaddress(uint16_t handle, uint16_t row, uint16_t column);
void vs_curtext(uint16_t handle, const char *string);
void v_rvon(uint16_t handle);
void v_rvoff(uint16_t handle);
void vq_curaddress(uint16_t handle,uint16_t *row,uint16_t *column);
void v_dspcur(uint16_t handle,uint16_t x,uint16_t y);
void v_rmcur(uint16_t handle);
uint16_t vs_style(uint16_t opcode,uint16_t handle,uint16_t style);
void v_escape(uint16_t handle,uint16_t function);
uint16_t vsf_interior(uint16_t handle, uint16_t style);
void vs_color(uint16_t handle, uint16_t index, const uint16_t *rgb_in);
uint16_t vsl_color(uint16_t handle, uint16_t color_index);


/*****************************/
/*         Hisoft C          */
/*    GSX Function Library   */
/*        End Header         */
/*****************************/
